## mistral 11.0.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

alembic>=0.9.6 # MIT
croniter>=0.3.4 # MIT License
cachetools>=2.0.0 # MIT License
dogpile.cache>=0.6.2 # BSD
eventlet>=0.26.0 # MIT
Jinja2>=2.10 # BSD License (3 clause)
jsonschema>=3.2.0 # MIT
keystonemiddleware>=4.18.0 # Apache-2.0
kombu!=4.0.2,>=4.6.1 # BSD
mistral-lib>=2.3.0 # Apache-2.0
networkx>=2.3 # BSD
oslo.concurrency>=3.26.0 # Apache-2.0
oslo.config>=5.2.0 # Apache-2.0
oslo.context>=2.20.0 # Apache-2.0
oslo.db>=4.40.0 # Apache-2.0
oslo.i18n>=3.15.3 # Apache-2.0
oslo.messaging>=5.29.0 # Apache-2.0
oslo.middleware>=3.31.0 # Apache-2.0
oslo.policy>=1.30.0 # Apache-2.0
oslo.utils>=3.37.0 # Apache-2.0
oslo.log>=3.36.0 # Apache-2.0
oslo.serialization>=2.21.1 # Apache-2.0
oslo.service!=1.28.1,>=1.24.0 # Apache-2.0
osprofiler>=1.4.0 # Apache-2.0
paramiko>=2.4.1 # LGPLv2.1+
pbr!=2.1.0,>=2.0.0 # Apache-2.0
pecan>=1.2.1 # BSD
PyJWT>=1.5 # MIT
PyYAML>=5.1 # MIT
requests>=2.14.2 # Apache-2.0
tenacity>=5.0.1 # Apache-2.0
SQLAlchemy>=1.2.5 # MIT
stevedore>=1.20.0 # Apache-2.0
WSME>=0.8.0 # MIT
yaql>=1.1.3 # Apache 2.0 License
tooz>=1.58.0 # Apache-2.0
zake>=0.1.6 # Apache-2.0

=== debian/changelog ===
mistral (11.0.0-2) unstable; urgency=medium

  * Black list failing unit test (Closes: #978252):
    - test_fail_action_with_missing_heartbeats_wf_spec_not_cached

 -- Thomas Goirand <zigo@debian.org>  Mon, 04 Jan 2021 13:36:45 +0100

mistral (11.0.0-1) unstable; urgency=medium

  * New upstream release.
  * Uploading to unstable.
  * Fixed debian/watch.
  * Add a debian/salsa-ci.yml.
  * Blacklist obviously broken test:
    - MistralHTTPActionTest.test_http_action()
    - HTTPActionTest.test_http_action()

 -- Thomas Goirand <zigo@debian.org>  Sat, 17 Oct 2020 20:02:57 +0200

mistral (11.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Removed --with systemd.

 -- Thomas Goirand <zigo@debian.org>  Thu, 01 Oct 2020 09:16:17 +0200

mistral (10.0.0-1) unstable; urgency=medium

  * Fixed watch file URL.
  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 13 May 2020 16:25:35 +0200

mistral (10.0.0~rc1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sun, 10 May 2020 02:07:01 +0200

mistral (10.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Drop fix-requirements-to-allow-networkx-2.2.patch.

 -- Thomas Goirand <zigo@debian.org>  Thu, 23 Apr 2020 16:19:56 +0200

=== debian/control ===
Source: mistral
Section: net
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Michal Arbet <michal.arbet@ultimum.io>,
Build-Depends:
 debhelper-compat (= 10),
 dh-python,
 openstack-pkg-tools (>= 99~),
 po-debconf,
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 alembic,
 python3-cachetools,
 python3-croniter,
 python3-coverage,
 python3-docutils,
 python3-dogpile.cache,
 python3-eventlet (>= 0.26.0),
 python3-fixtures,
 python3-hacking,
 python3-jinja2,
 python3-jsonschema (>= 3.2.0),
 python3-jwt,
 python3-keystoneclient,
 python3-keystonemiddleware,
 python3-kombu (>= 4.6.1),
 python3-mistral-lib (>= 2.3.0),
 python3-networkx (>= 2.3),
 python3-nose,
 python3-openstackdocstheme,
 python3-oslo.concurrency,
 python3-oslo.config,
 python3-oslo.context,
 python3-oslo.db,
 python3-oslo.i18n,
 python3-oslo.log,
 python3-oslo.messaging,
 python3-oslo.middleware,
 python3-oslo.policy,
 python3-oslo.serialization,
 python3-oslo.service,
 python3-oslo.utils (>= 3.37.0),
 python3-oslotest,
 python3-osprofiler,
 python3-paramiko,
 python3-pecan,
 python3-pep8,
 python3-pygments,
 python3-requests,
 python3-requests-mock,
 python3-sphinxcontrib-pecanwsme,
 python3-sphinxcontrib.httpdomain,
 python3-sqlalchemy,
 python3-stestr,
 python3-stevedore,
 python3-tempest,
 python3-tenacity (>= 5.0.1),
 python3-testtools,
 python3-tooz,
 python3-unittest2,
 python3-wsme,
 python3-yaml (>= 5.1),
 python3-yaql,
 python3-zake,
 subunit,
Standards-Version: 4.4.1
Vcs-Browser: https://salsa.debian.org/openstack-team/services/mistral
Vcs-Git: https://salsa.debian.org/openstack-team/services/mistral.git
Homepage: https://github.com/openstack/mistral

Package: mistral-api
Architecture: all
Depends:
 adduser,
 debconf,
 mistral-common (= ${source:Version}),
 q-text-as-data,
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python3:Depends},
Description: OpenStack Workflow service - API
 Mistral is a workflow service. Most business processes consist of multiple
 distinct interconnected steps that need to be executed in a particular order
 in a distributed environment. One can describe such process as a set of tasks
 and task relations and upload such description to Mistral so that it takes
 care of state management, correct execution order, parallelism,
 synchronization and high availability. Mistral also provides flexible task
 scheduling so that it can run a process according to a specified schedule
 (i.e. every Sunday at 4.00pm) instead of running it immediately. Such set of
 tasks and relations between them is called a workflow.
 .
 This package contains the API server.

Package: mistral-common
Architecture: all
Depends:
 adduser,
 dbconfig-common,
 debconf,
 python3-mistral (= ${binary:Version}),
 sqlite3,
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack Workflow service - common files
 Mistral is a workflow service. Most business processes consist of multiple
 distinct interconnected steps that need to be executed in a particular order
 in a distributed environment. One can describe such process as a set of tasks
 and task relations and upload such description to Mistral so that it takes
 care of state management, correct execution order, parallelism,
 synchronization and high availability. Mistral also provides flexible task
 scheduling so that it can run a process according to a specified schedule
 (i.e. every Sunday at 4.00pm) instead of running it immediately. Such set of
 tasks and relations between them is called a workflow.
 .
 This package contains common files and configuration.

Package: mistral-engine
Architecture: all
Depends:
 adduser,
 mistral-common (= ${source:Version}),
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python3:Depends},
Description: OpenStack Workflow service - Engine
 Mistral is a workflow service. Most business processes consist of multiple
 distinct interconnected steps that need to be executed in a particular order
 in a distributed environment. One can describe such process as a set of tasks
 and task relations and upload such description to Mistral so that it takes
 care of state management, correct execution order, parallelism,
 synchronization and high availability. Mistral also provides flexible task
 scheduling so that it can run a process according to a specified schedule
 (i.e. every Sunday at 4.00pm) instead of running it immediately. Such set of
 tasks and relations between them is called a workflow.
 .
 This package contains the Engine.

Package: mistral-event-engine
Architecture: all
Depends:
 adduser,
 mistral-common (= ${source:Version}),
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python3:Depends},
Description: OpenStack Workflow service - Event Engine
 Mistral is a workflow service. Most business processes consist of multiple
 distinct interconnected steps that need to be executed in a particular order
 in a distributed environment. One can describe such process as a set of tasks
 and task relations and upload such description to Mistral so that it takes
 care of state management, correct execution order, parallelism,
 synchronization and high availability. Mistral also provides flexible task
 scheduling so that it can run a process according to a specified schedule
 (i.e. every Sunday at 4.00pm) instead of running it immediately. Such set of
 tasks and relations between them is called a workflow.
 .
 This package contains the Event Engine.

Package: mistral-executor
Architecture: all
Depends:
 adduser,
 mistral-common (= ${source:Version}),
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python3:Depends},
Description: OpenStack Workflow service - Executor
 Mistral is a workflow service. Most business processes consist of multiple
 distinct interconnected steps that need to be executed in a particular order
 in a distributed environment. One can describe such process as a set of tasks
 and task relations and upload such description to Mistral so that it takes
 care of state management, correct execution order, parallelism,
 synchronization and high availability. Mistral also provides flexible task
 scheduling so that it can run a process according to a specified schedule
 (i.e. every Sunday at 4.00pm) instead of running it immediately. Such set of
 tasks and relations between them is called a workflow.
 .
 This package contains the Executor.

Package: python3-mistral
Section: python
Architecture: all
Depends:
 alembic,
 python3-cachetools,
 python3-croniter,
 python3-dogpile.cache,
 python3-eventlet (>= 0.26.0),
 python3-jinja2,
 python3-jsonschema (>= 3.2.0),
 python3-jwt,
 python3-keystoneclient,
 python3-keystonemiddleware,
 python3-kombu (>= 4.6.1),
 python3-mistral-lib (>= 2.3.0),
 python3-networkx (>= 2.3),
 python3-oslo.concurrency,
 python3-oslo.config,
 python3-oslo.context,
 python3-oslo.db,
 python3-oslo.i18n,
 python3-oslo.log,
 python3-oslo.messaging,
 python3-oslo.middleware,
 python3-oslo.policy,
 python3-oslo.serialization,
 python3-oslo.service,
 python3-oslo.utils (>= 3.37.0),
 python3-osprofiler,
 python3-paramiko,
 python3-pbr,
 python3-pecan,
 python3-pymysql,
 python3-requests,
 python3-setuptools,
 python3-sqlalchemy,
 python3-stevedore,
 python3-tenacity (>= 5.0.1),
 python3-tooz,
 python3-wsme,
 python3-yaml (>= 5.1),
 python3-yaql,
 python3-zake,
 ${misc:Depends},
 ${python3:Depends},
Conflicts:
 python-mistral,
Description: OpenStack Workflow Service - Python libraries
 Mistral is a workflow service. Most business processes consist of multiple
 distinct interconnected steps that need to be executed in a particular order
 in a distributed environment. One can describe such process as a set of tasks
 and task relations and upload such description to Mistral so that it takes
 care of state management, correct execution order, parallelism,
 synchronization and high availability. Mistral also provides flexible task
 scheduling so that it can run a process according to a specified schedule
 (i.e. every Sunday at 4.00pm) instead of running it immediately. Such set of
 tasks and relations between them is called a workflow.
 .
 This package contains the Python libraries.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@  --with python3

override_dh_clean:
	dh_clean
	rm -f debian/*.init debian/*.service debian/*.upstart debian/mistral-common.postinst debian/mistral-common.config
	rm -rf debian/mistral-common.postrm debian/*.templates debian/po

override_dh_auto_clean:
	python3 setup.py clean

override_dh_auto_build:
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func mistral-common.postinst
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func mistral-common.config
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func mistral-api.config
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func mistral-api.postinst
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_postrm mistral-common.postrm
	pkgos-merge-templates mistral-api mistral endpoint
	pkgos-merge-templates mistral-common mistral db rabbit ksat

override_dh_auto_install:
	echo "Do nothing..."

override_dh_auto_test:
	echo "Do nothing..."

override_dh_install:
	set -e ; for pyvers in $(PYTHON3S); do \
		python$$pyvers setup.py install --install-layout=deb --root $(CURDIR)/debian/tmp; \
	done

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test --no-py2 'mistral\.tests\.(?!(.*unit\.actions\.openstack\.test_generator\.GeneratorTest\.test_generator.*|.*api\.v2\.test_action_executions\.TestActionExecutionsController\.test_get_all_with_and_without_output.*|.*unit\.actions\.test_std_mistral_http_action\.MistralHTTPActionTest\.test_http_action.*|.*unit\.actions\.test_std_http_action\.HTTPActionTest\.test_http_action.*|.*engine\.test_action_heartbeat_checker\.ActionHeartbeatCheckerTest\.test_fail_action_with_missing_heartbeats_wf_spec_not_cached.*))'
endif


	# Copy the configuration files
	set -e ; for i in logging.conf wf_trace_logging.conf ; do \
		install -D -m 0664 etc/$$i.sample $(CURDIR)/debian/mistral-common/usr/share/mistral-common/$$i ; \
	done
	install -D -m 0664 etc/policy.json $(CURDIR)/debian/mistral-common/usr/share/mistral-common/policy.json ; \
	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages oslo-config-generator \
		--namespace mistral.config \
		--namespace oslo.db \
		--namespace oslo.messaging \
		--namespace oslo.middleware.cors \
		--namespace keystonemiddleware.auth_token \
		--namespace periodic.config \
		--namespace oslo.log \
		--namespace oslo.policy \
		--namespace oslo.service.sslutils \
		--output-file $(CURDIR)/debian/mistral-common/usr/share/mistral-common/mistral.conf
	pkgos-readd-keystone-authtoken-missing-options $(CURDIR)/debian/mistral-common/usr/share/mistral-common/mistral.conf keystone_authtoken mistral

	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages oslopolicy-sample-generator \
		--output-file $(CURDIR)/debian/mistral-common/usr/share/mistral-common/policy.json \
		--format json \
		--namespace mistral

	pkgos-fix-config-default $(CURDIR)/debian/mistral-common/usr/share/mistral-common/mistral.conf keystone_authtoken auth_protocol http

	dh_install
	dh_missing --fail-missing

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

## mistral 12.0.0

=== debian/changelog ===
mistral (12.0.0-0ubuntu1) hirsute; urgency=medium

  * New upstream release for OpenStack Wallaby.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Wed, 14 Apr 2021 14:46:15 +0000

mistral (12.0.0~rc1-0ubuntu1) hirsute; urgency=medium

  * d/watch: Scope to 12.x series
  * New upstream release candidate for OpenStack Wallaby.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Fri, 02 Apr 2021 09:32:34 +0000

mistral (11.0.0+git2021012507.3c83837f-0ubuntu1) hirsute; urgency=medium

  * New upstream snapshot for OpenStack Wallaby.
  * d/control: Align (Build-)Depends with upstream.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Mon, 25 Jan 2021 08:06:28 +0000

mistral (11.0.0+git2020121014.a73fe5b8-0ubuntu1) hirsute; urgency=medium

  * New upstream snapshot for OpenStack Wallaby.
  * d/rules: Add PBR_VERSION to set correct distro version for package build.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 10 Dec 2020 14:05:00 -0500

mistral (11.0.0-0ubuntu1) groovy; urgency=medium

  * New upstream release for OpenStack Victoria.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 15 Oct 2020 08:18:52 -0400

mistral (11.0.0~rc1-0ubuntu1) groovy; urgency=medium

  [ Chris MacNaughton ]
  * d/control: Update VCS paths for move to lp:~ubuntu-openstack-dev.
  * d/watch: Scope to 11.x series.

  [ Corey Bryant ]
  * New upstream release candidate for OpenStack Victoria.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 09 Oct 2020 16:06:38 -0400

mistral (11.0.0~b3~git2020091408.63225d41-0ubuntu1) groovy; urgency=medium

  * New upstream snapshot for OpenStack Victoria.

 -- Chris MacNaughton <chris.macnaughton@canonical.com>  Mon, 14 Sep 2020 08:07:47 +0000

mistral (11.0.0~b2~git2020073108.598d214d-0ubuntu1) groovy; urgency=medium

  * New upstream snapshot for OpenStack Victoria.

 -- Chris MacNaughton <chris.macnaughton@canonical.com>  Fri, 31 Jul 2020 08:10:33 +0000

mistral (11.0.0~b1~git2020070210.104ab8e9-0ubuntu1) groovy; urgency=medium

  * New upstream snapshot for OpenStack Victoria.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/monkey-patch-original-current-thread.patch: Dropped. Fixed upstream.
  * d/control: Update Standards-Version to 4.5.0.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 02 Jul 2020 10:01:14 -0400

mistral (10.0.0-0ubuntu1) groovy; urgency=medium

  * New upstream release for OpenStack Ussuri (LP: #1877642).
  * d/p/monkey-patch-original-current-thread.patch: Cherry-picked from
    https://review.opendev.org/#/c/728369/. This fixes service failures
    with Python 3.8 (LP: #1863021)
  * d/watch: Scope to 10.x series.
  * d/watch: Update to point at tarballs.opendev.org.
  * d/control: Align (Build-)Depends with upstream.

 -- Chris MacNaughton <chris.macnaughton@canonical.com>  Fri, 15 May 2020 06:53:28 +0000

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/" \
 https://tarballs.opendev.org/openstack/mistral/ mistral-(12\.\d.*)\.tar\.gz

## mistral 13.0.0

=== debian/changelog ===
mistral (13.0.0-0ubuntu1) impish; urgency=medium

  * d/watch: Scope to 13.x.
  * New upstream release for OpenStack Xena.
  * d/p/revert-test-change-for-1936667.patch: Revert upstream change
    that causes test failures.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Thu, 07 Oct 2021 09:43:27 +0000

mistral (12.0.0+git2021072117.22e822dd-0ubuntu1) impish; urgency=medium

  * New upstream snapshot for OpenStack Xena.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 21 Jul 2021 17:08:46 -0400

mistral (12.0.0+git2021061112.c63e6e08-0ubuntu1) impish; urgency=medium

  * New upstream snapshot for OpenStack Xena.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Fri, 11 Jun 2021 12:51:46 +0000

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/" \
 https://tarballs.opendev.org/openstack/mistral/ mistral-(13\.\d.*)\.tar\.gz

## mistral 14.0.0

=== doc/requirements.txt ===
sphinx>=2.0.0,!=2.1.0 # BSD
sphinxcontrib-httpdomain>=1.3.0 # BSD
sphinxcontrib-pecanwsme>=0.8.0 # Apache-2.0
openstackdocstheme>=2.2.1 # Apache-2.0
os-api-ref>=1.4.0 # Apache-2.0
reno>=3.1.0 # Apache-2.0

=== debian/changelog ===
mistral (14.0.0-0ubuntu1) jammy; urgency=medium

  * d/watch: Scope to 14.x.
  * New upstream release for OpenStack Yoga.
  * d/p/switch-to-collections.abc-abstract-base-classes.patch: Dropped.
    Fixed upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 30 Mar 2022 21:02:00 -0400

mistral (13.0.0+git2022030313.55bb2564-0ubuntu1) jammy; urgency=medium

  * New upstream snapshot for OpenStack Yoga.
  * d/p/switch-test-workflows-to-yaml-safe-load.patch: Dropped. Fixed in
    upstream snapshot.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 03 Mar 2022 13:48:27 -0500

mistral (13.0.0+git2021120910.b2d6de56-0ubuntu1) jammy; urgency=medium

  * New upstream snapshot for OpenStack Yoga.
  * d/p/switch-to-collections.abc-abstract-base-classes.patch: This fixes
    unit test errors detected with Python 3.10.
  * d/p/switch-test-workflows-to-yaml-safe-load.patch: Transition test
    code to yaml.safe_load() to fix error exposed by unit tests.
  * d/p/revert-test-change-for-1936667.patch: Dropped. No longer needed.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 09 Dec 2021 10:54:08 -0500

=== debian/control ===
Source: mistral
Section: net
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 12),
 dh-python,
 openstack-pkg-tools,
 po-debconf,
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
 python3-sphinx (>= 2.0.0),
Build-Depends-Indep:
 alembic (>= 0.8.10),
 python3-alembic (>= 0.9.6),
 python3-aodhclient (>= 0.9.0),
 python3-babel (>= 2.3.4),
 python3-barbicanclient (>= 4.5.2),
 python3-cachetools (>= 2.0.0),
 python3-cinderclient (>= 1:3.3.0),
 python3-coverage (>= 4.0),
 python3-croniter (>= 0.3.4),
 python3-designateclient (>= 2.7.0),
 python3-doc8 (>= 0.8.0),
 python3-docutils,
 python3-dogpile.cache (>= 0.6.2),
 python3-eventlet (>= 0.26.0),
 python3-fixtures (>= 3.0.0),
 python3-glanceclient (>= 1:2.8.0),
 python3-glareclient (>= 0.3.0),
 python3-gnocchiclient (>= 3.3.1),
 python3-hacking (>= 1.1.0),
 python3-heatclient (>= 1.10.0),
 python3-ironic-inspector-client (>= 1.5.0),
 python3-ironicclient (>= 2.7.0),
 python3-jinja2 (>= 2.10),
 python3-jsonschema (>= 3.2.0),
 python3-jwt (>= 1.5),
 python3-keystoneclient (>= 1:3.8.0),
 python3-keystonemiddleware (>= 4.18.0),
 python3-kombu (>= 4.6.1),
 python3-magnumclient (>= 2.1.0),
 python3-manilaclient (>= 1.23.0),
 python3-mistral-lib (>= 2.3.0),
 python3-mistralclient (>= 1:3.1.0),
 python3-mock (>= 2.0.0),
 python3-muranoclient (>= 0.8.2),
 python3-networkx (>= 2.3),
 python3-neutronclient (>= 1:6.7.0),
 python3-nose (>= 1.3.7),
 python3-novaclient (>= 2:9.1.0),
 python3-oauthlib (>= 0.6.2),
 python3-openstackdocstheme (>= 2.2.1),
 python3-os-api-ref (>= 1.4.0),
 python3-oslo.concurrency (>= 3.26.0),
 python3-oslo.config (>= 1:6.8.0),
 python3-oslo.context (>= 1:2.22.0),
 python3-oslo.db (>= 4.40.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.log (>= 3.36.0),
 python3-oslo.messaging (>= 5.29.0),
 python3-oslo.middleware (>= 3.31.0),
 python3-oslo.policy (>= 3.6.0),
 python3-oslo.serialization (>= 2.21.1),
 python3-oslo.service (>= 2.1.0),
 python3-oslo.utils (>= 4.0.0),
 python3-oslotest (>= 1:3.2.0),
 python3-osprofiler (>= 1.4.0),
 python3-paramiko (>= 2.4.1),
 python3-pecan (>= 1.2.1),
 python3-pep8,
 python3-pygments (>= 2.2.0),
 python3-qinlingclient (>= 1.0.0),
 python3-requests (>= 2.18.0),
 python3-requests-mock (>= 1.2.0),
 python3-senlinclient (>= 1.1.0),
 python3-six (>= 1.10.0),
 python3-sphinxcontrib-pecanwsme (>= 0.8.0),
 python3-sphinxcontrib.httpdomain (>= 1.3.0),
 python3-sqlalchemy (>= 1.2.5),
 python3-stestr (>= 2.0.0),
 python3-stevedore (>= 1:1.20.0),
 python3-swiftclient (>= 1:3.2.0),
 python3-tackerclient (>= 0.8.0),
 python3-tempest (>= 1:21.0.0),
 python3-tenacity (>= 5.0.1),
 python3-testtools (>= 2.2.0),
 python3-tooz (>= 1.58.0),
 python3-troveclient (>= 1:2.2.0),
 python3-unittest2 (>= 1.1.0),
 python3-vitrageclient (>= 2.0.0),
 python3-wsme (>= 0.8.0),
 python3-yaml (>= 5.1),
 python3-yaql (>= 1.1.3),
 python3-zake (>= 0.1.6),
 python3-zaqarclient (>= 1.0.0),
 python3-zunclient (>= 3.4.0),
 subunit,
 testrepository,
Standards-Version: 4.5.0
Vcs-Browser: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/mistral
Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/mistral
Homepage: https://github.com/openstack/mistral
Testsuite: autopkgtest-pkg-python

Package: mistral-api
Architecture: all
Depends:
 adduser,
 debconf,
 mistral-common (= ${source:Version}),
 q-text-as-data,
 ${misc:Depends},
 ${ostack-lsb-base},
Description: OpenStack Workflow service - API
 Mistral is a workflow service. Most business processes consist of multiple
 distinct interconnected steps that need to be executed in a particular order
 in a distributed environment. One can describe such process as a set of tasks
 and task relations and upload such description to Mistral so that it takes
 care of state management, correct execution order, parallelism,
 synchronization and high availability. Mistral also provides flexible task
 scheduling so that it can run a process according to a specified schedule
 (i.e. every Sunday at 4.00pm) instead of running it immediately. Such set of
 tasks and relations between them is called a workflow.
 .
 This package contains the API server.

Package: mistral-common
Architecture: all
Depends:
 adduser,
 dbconfig-common,
 debconf,
 python3-mistral (= ${binary:Version}),
 sqlite3,
 ${misc:Depends},
Description: OpenStack Workflow service - common files
 Mistral is a workflow service. Most business processes consist of multiple
 distinct interconnected steps that need to be executed in a particular order
 in a distributed environment. One can describe such process as a set of tasks
 and task relations and upload such description to Mistral so that it takes
 care of state management, correct execution order, parallelism,
 synchronization and high availability. Mistral also provides flexible task
 scheduling so that it can run a process according to a specified schedule
 (i.e. every Sunday at 4.00pm) instead of running it immediately. Such set of
 tasks and relations between them is called a workflow.
 .
 This package contains common files and configuration.

Package: mistral-engine
Architecture: all
Depends:
 adduser,
 mistral-common (= ${source:Version}),
 ${misc:Depends},
 ${ostack-lsb-base},
Description: OpenStack Workflow service - Engine
 Mistral is a workflow service. Most business processes consist of multiple
 distinct interconnected steps that need to be executed in a particular order
 in a distributed environment. One can describe such process as a set of tasks
 and task relations and upload such description to Mistral so that it takes
 care of state management, correct execution order, parallelism,
 synchronization and high availability. Mistral also provides flexible task
 scheduling so that it can run a process according to a specified schedule
 (i.e. every Sunday at 4.00pm) instead of running it immediately. Such set of
 tasks and relations between them is called a workflow.
 .
 This package contains the Engine.

Package: mistral-event-engine
Architecture: all
Depends:
 adduser,
 mistral-common (= ${source:Version}),
 ${misc:Depends},
 ${ostack-lsb-base},
Description: OpenStack Workflow service - Event Engine
 Mistral is a workflow service. Most business processes consist of multiple
 distinct interconnected steps that need to be executed in a particular order
 in a distributed environment. One can describe such process as a set of tasks
 and task relations and upload such description to Mistral so that it takes
 care of state management, correct execution order, parallelism,
 synchronization and high availability. Mistral also provides flexible task
 scheduling so that it can run a process according to a specified schedule
 (i.e. every Sunday at 4.00pm) instead of running it immediately. Such set of
 tasks and relations between them is called a workflow.
 .
 This package contains the Event Engine.

Package: mistral-executor
Architecture: all
Depends:
 adduser,
 mistral-common (= ${source:Version}),
 ${misc:Depends},
 ${ostack-lsb-base},
Description: OpenStack Workflow service - Executor
 Mistral is a workflow service. Most business processes consist of multiple
 distinct interconnected steps that need to be executed in a particular order
 in a distributed environment. One can describe such process as a set of tasks
 and task relations and upload such description to Mistral so that it takes
 care of state management, correct execution order, parallelism,
 synchronization and high availability. Mistral also provides flexible task
 scheduling so that it can run a process according to a specified schedule
 (i.e. every Sunday at 4.00pm) instead of running it immediately. Such set of
 tasks and relations between them is called a workflow.
 .
 This package contains the Executor.

Package: python3-mistral
Section: python
Architecture: all
Depends:
 alembic (>= 0.8.10),
 python3-alembic (>= 0.9.6),
 python3-aodhclient (>= 0.9.0),
 python3-babel (>= 2.3.4),
 python3-barbicanclient (>= 4.5.2),
 python3-cachetools (>= 2.0.0),
 python3-cinderclient (>= 1:3.3.0),
 python3-croniter (>= 0.3.4),
 python3-designateclient (>= 2.7.0),
 python3-dogpile.cache (>= 0.6.2),
 python3-eventlet (>= 0.26.0),
 python3-glanceclient (>= 1:2.8.0),
 python3-glareclient (>= 0.3.0),
 python3-gnocchiclient (>= 3.3.1),
 python3-heatclient (>= 1.10.0),
 python3-ironic-inspector-client (>= 1.5.0),
 python3-ironicclient (>= 2.7.0),
 python3-jinja2 (>= 2.10),
 python3-jsonschema (>= 3.2.0),
 python3-jwt (>= 1.5),
 python3-keystoneclient (>= 1:3.8.0),
 python3-keystonemiddleware (>= 4.18.0),
 python3-kombu (>= 4.6.1),
 python3-magnumclient (>= 2.1.0),
 python3-manilaclient (>= 1.23.0),
 python3-mistral-lib (>= 2.3.0),
 python3-mistralclient (>= 1:3.1.0),
 python3-muranoclient (>= 0.8.2),
 python3-networkx (>= 2.3),
 python3-neutronclient (>= 1:6.7.0),
 python3-novaclient (>= 2:9.1.0),
 python3-oslo.concurrency (>= 3.26.0),
 python3-oslo.config (>= 1:6.8.0),
 python3-oslo.context (>= 1:2.22.0),
 python3-oslo.db (>= 4.40.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.log (>= 3.36.0),
 python3-oslo.messaging (>= 5.29.0),
 python3-oslo.middleware (>= 3.31.0),
 python3-oslo.policy (>= 3.6.0),
 python3-oslo.serialization (>= 2.21.1),
 python3-oslo.service (>= 2.1.0),
 python3-oslo.utils (>= 4.0.0),
 python3-osprofiler (>= 1.4.0),
 python3-paramiko (>= 2.4.1),
 python3-pbr (>= 2.0.0),
 python3-pecan (>= 1.2.1),
 python3-pymysql,
 python3-qinlingclient (>= 1.0.0),
 python3-requests (>= 2.18.0),
 python3-senlinclient (>= 1.1.0),
 python3-setuptools,
 python3-six (>= 1.10.0),
 python3-sqlalchemy (>= 1.2.5),
 python3-stevedore (>= 1:1.20.0),
 python3-swiftclient (>= 1:3.2.0),
 python3-tackerclient (>= 0.8.0),
 python3-tenacity (>= 5.0.1),
 python3-tooz (>= 1.58.0),
 python3-troveclient (>= 1:2.2.0),
 python3-vitrageclient (>= 2.0.0),
 python3-wsme (>= 0.8.0),
 python3-yaml (>= 5.1),
 python3-yaql (>= 1.1.3),
 python3-zake (>= 0.1.6),
 python3-zaqarclient (>= 1.0.0),
 python3-zunclient (>= 3.4.0),
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack Workflow Service - Python 3 libraries
 Mistral is a workflow service. Most business processes consist of multiple
 distinct interconnected steps that need to be executed in a particular order
 in a distributed environment. One can describe such process as a set of tasks
 and task relations and upload such description to Mistral so that it takes
 care of state management, correct execution order, parallelism,
 synchronization and high availability. Mistral also provides flexible task
 scheduling so that it can run a process according to a specified schedule
 (i.e. every Sunday at 4.00pm) instead of running it immediately. Such set of
 tasks and relations between them is called a workflow.
 .
 This package contains the Python 3 libraries.

=== debian/rules ===
--- 
+++ 
@@ -1,17 +1,20 @@
 #!/usr/bin/make -f
+
+export PYBUILD_NAME=mistral
+
+DEBVERS ?= $(shell dpkg-parsechangelog | sed -n -e 's/^Version: //p')
+VERSION ?= $(shell echo '$(DEBVERS)' | sed -e 's/^[[:digit:]]*://' -e 's/[-].*//' -e 's/[+].*//' -e 's/~git.*//g' -e 's/+git.*//g' -e 's/~/./g')
+export PBR_VERSION=$(VERSION)
 
 include /usr/share/openstack-pkg-tools/pkgos.make
 
 %:
-	dh $@  --with python3
+	dh $@  --with python3 --buildsystem=pybuild
 
 override_dh_clean:
 	dh_clean
 	rm -f debian/*.init debian/*.service debian/*.upstart debian/mistral-common.postinst debian/mistral-common.config
 	rm -rf debian/mistral-common.postrm debian/*.templates debian/po
-
-override_dh_auto_clean:
-	python3 setup.py clean
 
 override_dh_auto_build:
 	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func mistral-common.postinst
@@ -29,12 +32,10 @@
 	echo "Do nothing..."
 
 override_dh_install:
-	set -e ; for pyvers in $(PYTHON3S); do \
-		python$$pyvers setup.py install --install-layout=deb --root $(CURDIR)/debian/tmp; \
-	done
+	pkgos-dh_auto_install --no-py2
 
 ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
-	pkgos-dh_auto_test --no-py2 'mistral\.tests\.(?!(.*unit\.actions\.openstack\.test_generator\.GeneratorTest\.test_generator.*|.*api\.v2\.test_action_executions\.TestActionExecutionsController\.test_get_all_with_and_without_output.*|.*unit\.actions\.test_std_mistral_http_action\.MistralHTTPActionTest\.test_http_action.*|.*unit\.actions\.test_std_http_action\.HTTPActionTest\.test_http_action.*|.*engine\.test_action_heartbeat_checker\.ActionHeartbeatCheckerTest\.test_fail_action_with_missing_heartbeats_wf_spec_not_cached.*))'
+	pkgos-dh_auto_test --no-py2
 endif
 
 
@@ -43,7 +44,7 @@
 		install -D -m 0664 etc/$$i.sample $(CURDIR)/debian/mistral-common/usr/share/mistral-common/$$i ; \
 	done
 	install -D -m 0664 etc/policy.json $(CURDIR)/debian/mistral-common/usr/share/mistral-common/policy.json ; \
-	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages oslo-config-generator \
+	PYTHONPATH=$(CURDIR)/debian/python3-mistral/usr/lib/python3/dist-packages oslo-config-generator \
 		--namespace mistral.config \
 		--namespace oslo.db \
 		--namespace oslo.messaging \
@@ -56,7 +57,7 @@
 		--output-file $(CURDIR)/debian/mistral-common/usr/share/mistral-common/mistral.conf
 	pkgos-readd-keystone-authtoken-missing-options $(CURDIR)/debian/mistral-common/usr/share/mistral-common/mistral.conf keystone_authtoken mistral
 
-	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages oslopolicy-sample-generator \
+	PYTHONPATH=$(CURDIR)/debian/python3-mistral/usr/lib/python3/dist-packages oslopolicy-sample-generator \
 		--output-file $(CURDIR)/debian/mistral-common/usr/share/mistral-common/policy.json \
 		--format json \
 		--namespace mistral

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/" \
 https://tarballs.opendev.org/openstack/mistral/ mistral-(14\.\d.*)\.tar\.gz

## mistral 15.0.0

=== requirements.txt ===
--- 
+++ 
@@ -14,24 +14,24 @@
 mistral-lib>=2.3.0 # Apache-2.0
 networkx>=2.3 # BSD
 oslo.concurrency>=3.26.0 # Apache-2.0
-oslo.config>=5.2.0 # Apache-2.0
-oslo.context>=2.20.0 # Apache-2.0
+oslo.config>=6.8.0 # Apache-2.0
+oslo.context>=2.22.0 # Apache-2.0
 oslo.db>=4.40.0 # Apache-2.0
 oslo.i18n>=3.15.3 # Apache-2.0
 oslo.messaging>=5.29.0 # Apache-2.0
 oslo.middleware>=3.31.0 # Apache-2.0
-oslo.policy>=1.30.0 # Apache-2.0
-oslo.utils>=3.37.0 # Apache-2.0
+oslo.policy>=3.6.0 # Apache-2.0
+oslo.utils>=4.0.0 # Apache-2.0
 oslo.log>=3.36.0 # Apache-2.0
 oslo.serialization>=2.21.1 # Apache-2.0
-oslo.service!=1.28.1,>=1.24.0 # Apache-2.0
+oslo.service>=2.1.0 # Apache-2.0
 osprofiler>=1.4.0 # Apache-2.0
 paramiko>=2.4.1 # LGPLv2.1+
 pbr!=2.1.0,>=2.0.0 # Apache-2.0
 pecan>=1.2.1 # BSD
 PyJWT>=1.5 # MIT
 PyYAML>=5.1 # MIT
-requests>=2.14.2 # Apache-2.0
+requests>=2.18.0 # Apache-2.0
 tenacity>=5.0.1 # Apache-2.0
 SQLAlchemy>=1.2.5 # MIT
 stevedore>=1.20.0 # Apache-2.0

=== debian/changelog ===
mistral (15.0.0-0ubuntu1) kinetic; urgency=medium

  * d/watch: Scope to 15.x.
  * New upstream release for OpenStack Zed.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 05 Oct 2022 15:19:05 -0400

mistral (14.0.0+git2022091213.95e30947-0ubuntu1) kinetic; urgency=medium

  * New upstream snapshot for OpenStack Zed.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 12 Sep 2022 13:15:45 -0400

mistral (14.0.0+git2022071414.28f94b0c-0ubuntu1) kinetic; urgency=medium

  * New upstream snapshot for OpenStack Zed.
  * d/control: Ensure openstack-pkg-tools has CIS hardening for log files
    and pkgos_adduser.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 14 Jul 2022 14:18:07 -0400

mistral (14.0.0+git2022060213.28f94b0c-0ubuntu1) kinetic; urgency=medium

  * New upstream snapshot for OpenStack Zed.
  * d/control: Switch to debhelper compat 13.
  * d/control: Update standards version to 4.6.1.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 02 Jun 2022 13:54:26 -0400

=== debian/control ===
--- 
+++ 
@@ -6,9 +6,9 @@
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  dh-python,
- openstack-pkg-tools,
+ openstack-pkg-tools (>= 119ubuntu1~),
  po-debconf,
  python3-all,
  python3-pbr (>= 2.0.0),
@@ -25,7 +25,7 @@
  python3-coverage (>= 4.0),
  python3-croniter (>= 0.3.4),
  python3-designateclient (>= 2.7.0),
- python3-doc8 (>= 0.8.0),
+ python3-doc8,
  python3-docutils,
  python3-dogpile.cache (>= 0.6.2),
  python3-eventlet (>= 0.26.0),
@@ -33,7 +33,7 @@
  python3-glanceclient (>= 1:2.8.0),
  python3-glareclient (>= 0.3.0),
  python3-gnocchiclient (>= 3.3.1),
- python3-hacking (>= 1.1.0),
+ python3-hacking,
  python3-heatclient (>= 1.10.0),
  python3-ironic-inspector-client (>= 1.5.0),
  python3-ironicclient (>= 2.7.0),
@@ -93,6 +93,7 @@
  python3-troveclient (>= 1:2.2.0),
  python3-unittest2 (>= 1.1.0),
  python3-vitrageclient (>= 2.0.0),
+ python3-webtest,
  python3-wsme (>= 0.8.0),
  python3-yaml (>= 5.1),
  python3-yaql (>= 1.1.3),
@@ -101,10 +102,9 @@
  python3-zunclient (>= 3.4.0),
  subunit,
  testrepository,
-Standards-Version: 4.5.0
-Vcs-Browser: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/mistral
+Standards-Version: 4.6.1
 Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/mistral
-Homepage: https://github.com/openstack/mistral
+Homepage: https://opendev.org/openstack/mistral
 Testsuite: autopkgtest-pkg-python
 
 Package: mistral-api

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/" \
 https://tarballs.opendev.org/openstack/mistral/ mistral-(15\.\d.*)\.tar\.gz

## mistral 15.0.1

=== debian/changelog ===
mistral (15.0.1-1~bpo12+1) UNRELEASED; urgency=medium

  [ Thomas Goirand ]
  * New upstream release.

  [ Jenkins ]
  * Rebuilt by bop.

 -- Jenkins <jenkins@bookworm-zed.infomaniak.ch>  Fri, 26 Sep 2025 08:10:53 +0000

mistral (15.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 05 Oct 2022 22:53:28 +0200

mistral (15.0.0~rc1-3) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sat, 24 Sep 2022 18:06:41 +0200

mistral (15.0.0~rc1-2) experimental; urgency=medium

  * Fix namespace list when generating config file.

 -- Thomas Goirand <zigo@debian.org>  Wed, 21 Sep 2022 13:39:16 +0200

mistral (15.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Add python3-webtest (>= 3.0.0) to build-depends.
  * Removed fix-for-tenacity-8.0.1.patch applied upstream.

 -- Thomas Goirand <zigo@debian.org>  Mon, 19 Sep 2022 17:12:18 +0200

mistral (14.0.0-2) unstable; urgency=medium

  * Autopkgtest: blacklist 4 tests that are failing.

 -- Thomas Goirand <zigo@debian.org>  Tue, 05 Apr 2022 10:07:14 +0200

mistral (14.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 30 Mar 2022 21:36:15 +0200

mistral (14.0.0~rc1-1) unstable; urgency=medium

  * New upstream release.
  * Add autopkgtest.
  * Removed fix-import-from-collections.abc.patch applied upstream.
  * Add fix-for-tenacity-8.0.1.patch.
  * Blacklist test_long_action_failure_with_disabled_sender().

 -- Thomas Goirand <zigo@debian.org>  Sat, 12 Mar 2022 20:22:35 +0100

mistral (13.0.0-3) unstable; urgency=medium

  * Add repoducible-build.patch (Closes: #960591).

 -- Thomas Goirand <zigo@debian.org>  Tue, 28 Dec 2021 19:25:49 +0100

mistral (13.0.0-2) unstable; urgency=medium

  * Add fix-import-from-collections.abc.patch (Closes: #1002388).
  * Blacklist failing test_long_action_failure_with_disabled_sender().

 -- Thomas Goirand <zigo@debian.org>  Wed, 22 Dec 2021 10:52:30 +0100

mistral (13.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 06 Oct 2021 17:25:20 +0200

mistral (13.0.0~rc1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 01 Oct 2021 00:55:05 +0200

mistral (13.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Blacklist DataFlowTest.test_context_view_eval_keys().

 -- Thomas Goirand <zigo@debian.org>  Mon, 20 Sep 2021 12:17:48 +0200

mistral (12.0.0-2) unstable; urgency=medium

  * Switch mistral to uwsgi.
  * Upload to unstable.

 -- Thomas Goirand <zigo@debian.org>  Thu, 12 Aug 2021 11:33:06 +0200

mistral (12.0.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 15 Apr 2021 14:25:19 +0200

mistral (12.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Removed (build-)depends versions when satisfied in Bullseye.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Sat, 27 Mar 2021 23:56:12 +0100

=== debian/rules ===
--- 
+++ 
@@ -1,20 +1,17 @@
 #!/usr/bin/make -f
-
-export PYBUILD_NAME=mistral
-
-DEBVERS ?= $(shell dpkg-parsechangelog | sed -n -e 's/^Version: //p')
-VERSION ?= $(shell echo '$(DEBVERS)' | sed -e 's/^[[:digit:]]*://' -e 's/[-].*//' -e 's/[+].*//' -e 's/~git.*//g' -e 's/+git.*//g' -e 's/~/./g')
-export PBR_VERSION=$(VERSION)
 
 include /usr/share/openstack-pkg-tools/pkgos.make
 
 %:
-	dh $@  --with python3 --buildsystem=pybuild
+	dh $@  --with python3
 
 override_dh_clean:
 	dh_clean
 	rm -f debian/*.init debian/*.service debian/*.upstart debian/mistral-common.postinst debian/mistral-common.config
 	rm -rf debian/mistral-common.postrm debian/*.templates debian/po
+
+override_dh_auto_clean:
+	python3 setup.py clean
 
 override_dh_auto_build:
 	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func mistral-common.postinst
@@ -32,10 +29,12 @@
 	echo "Do nothing..."
 
 override_dh_install:
-	pkgos-dh_auto_install --no-py2
+	set -e ; for pyvers in $(PYTHON3S); do \
+		python$$pyvers setup.py install --install-layout=deb --root $(CURDIR)/debian/tmp; \
+	done
 
 ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
-	pkgos-dh_auto_test --no-py2
+	pkgos-dh_auto_test --no-py2 'mistral\.tests\.(?!(.*unit\.actions\.openstack\.test_generator\.GeneratorTest\.test_generator.*|.*api\.v2\.test_action_executions\.TestActionExecutionsController\.test_get_all_with_and_without_output.*|.*unit\.actions\.test_std_mistral_http_action\.MistralHTTPActionTest\.test_http_action.*|.*unit\.actions\.test_std_http_action\.HTTPActionTest\.test_http_action.*|.*engine\.test_action_heartbeat_checker\.ActionHeartbeatCheckerTest\.test_fail_action_with_missing_heartbeats_wf_spec_not_cached.*|.*unit\.engine\.test_dataflow\.DataFlowTest\.test_context_view_eval_keys.*|.*unit\.engine\.test_action_heartbeat_sender\.ActionHeartbeatSenderRemoteExecutorTest\.test_long_action_failure_with_disabled_sender.*|.*unit\.engine\.test_action_heartbeat_sender\.ActionHeartbeatSenderLocalExecutorTest\.test_long_action_failure_with_disabled_sender))'
 endif
 
 
@@ -44,20 +43,20 @@
 		install -D -m 0664 etc/$$i.sample $(CURDIR)/debian/mistral-common/usr/share/mistral-common/$$i ; \
 	done
 	install -D -m 0664 etc/policy.json $(CURDIR)/debian/mistral-common/usr/share/mistral-common/policy.json ; \
-	PYTHONPATH=$(CURDIR)/debian/python3-mistral/usr/lib/python3/dist-packages oslo-config-generator \
+	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages oslo-config-generator \
 		--namespace mistral.config \
 		--namespace oslo.db \
 		--namespace oslo.messaging \
 		--namespace oslo.middleware.cors \
+		--namespace oslo.middleware.http_proxy_to_wsgi \
 		--namespace keystonemiddleware.auth_token \
-		--namespace periodic.config \
 		--namespace oslo.log \
 		--namespace oslo.policy \
 		--namespace oslo.service.sslutils \
 		--output-file $(CURDIR)/debian/mistral-common/usr/share/mistral-common/mistral.conf
 	pkgos-readd-keystone-authtoken-missing-options $(CURDIR)/debian/mistral-common/usr/share/mistral-common/mistral.conf keystone_authtoken mistral
 
-	PYTHONPATH=$(CURDIR)/debian/python3-mistral/usr/lib/python3/dist-packages oslopolicy-sample-generator \
+	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages oslopolicy-sample-generator \
 		--output-file $(CURDIR)/debian/mistral-common/usr/share/mistral-common/policy.json \
 		--format json \
 		--namespace mistral

## mistral 16.0.0

=== debian/changelog ===
mistral (16.0.0-0ubuntu1) lunar; urgency=medium

  * New upstream release for OpenStack Antelope.
  * d/control: Depend on python-aodhclient >= 3.2.0-0ubuntu2 as
    3.2.0-0ubuntu1 fails to install.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 23 Mar 2023 14:52:25 -0400

mistral (16.0.0~b1+git2023030309.4289317a-0ubuntu1) lunar; urgency=medium

  * d/watch: Drop major version.
  * New upstream snapshot for OpenStack Antelope.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 03 Mar 2023 09:29:50 -0500

mistral (15.0.0+git2023010917.f35d3667-0ubuntu1) lunar; urgency=medium

  * New upstream snapshot for OpenStack Antelope.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 09 Jan 2023 17:56:41 -0500

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
 Build-Depends-Indep:
  alembic (>= 0.8.10),
  python3-alembic (>= 0.9.6),
- python3-aodhclient (>= 0.9.0),
+ python3-aodhclient (>= 3.2.0-0ubuntu2~),
  python3-babel (>= 2.3.4),
  python3-barbicanclient (>= 4.5.2),
  python3-cachetools (>= 2.0.0),
@@ -62,7 +62,7 @@
  python3-oslo.db (>= 4.40.0),
  python3-oslo.i18n (>= 3.15.3),
  python3-oslo.log (>= 3.36.0),
- python3-oslo.messaging (>= 5.29.0),
+ python3-oslo.messaging (>= 14.1.0),
  python3-oslo.middleware (>= 3.31.0),
  python3-oslo.policy (>= 3.6.0),
  python3-oslo.serialization (>= 2.21.1),
@@ -93,7 +93,7 @@
  python3-troveclient (>= 1:2.2.0),
  python3-unittest2 (>= 1.1.0),
  python3-vitrageclient (>= 2.0.0),
- python3-webtest,
+ python3-webtest (>=  3.0.0),
  python3-wsme (>= 0.8.0),
  python3-yaml (>= 5.1),
  python3-yaql (>= 1.1.3),
@@ -217,7 +217,7 @@
 Depends:
  alembic (>= 0.8.10),
  python3-alembic (>= 0.9.6),
- python3-aodhclient (>= 0.9.0),
+ python3-aodhclient (>= 3.2.0-0ubuntu2~),
  python3-babel (>= 2.3.4),
  python3-barbicanclient (>= 4.5.2),
  python3-cachetools (>= 2.0.0),
@@ -252,7 +252,7 @@
  python3-oslo.db (>= 4.40.0),
  python3-oslo.i18n (>= 3.15.3),
  python3-oslo.log (>= 3.36.0),
- python3-oslo.messaging (>= 5.29.0),
+ python3-oslo.messaging (>= 14.1.0),
  python3-oslo.middleware (>= 3.31.0),
  python3-oslo.policy (>= 3.6.0),
  python3-oslo.serialization (>= 2.21.1),

## mistral 17.0.0

=== requirements.txt ===
--- 
+++ 
@@ -18,7 +18,7 @@
 oslo.context>=2.22.0 # Apache-2.0
 oslo.db>=4.40.0 # Apache-2.0
 oslo.i18n>=3.15.3 # Apache-2.0
-oslo.messaging>=5.29.0 # Apache-2.0
+oslo.messaging>=14.1.0 # Apache-2.0
 oslo.middleware>=3.31.0 # Apache-2.0
 oslo.policy>=3.6.0 # Apache-2.0
 oslo.utils>=4.0.0 # Apache-2.0

=== debian/changelog ===
mistral (17.0.0-0ubuntu1~cloud0) jammy-bobcat; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Thu, 05 Oct 2023 20:19:37 +0000

mistral (17.0.0-0ubuntu1) mantic; urgency=medium

  * New upstream release for OpenStack Bobcat.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 04 Oct 2023 09:05:39 -0400

mistral (16.0.0+git2023071214.7baff017-0ubuntu2) mantic; urgency=medium

  * d/control: Drop python3-qinlingclient BD. No longer needed.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 14 Sep 2023 14:41:09 -0400

mistral (16.0.0+git2023071214.7baff017-0ubuntu1) mantic; urgency=medium

  * New upstream snapshot for OpenStack Bobcat.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 12 Jul 2023 14:36:39 -0400

mistral (16.0.0+git2023061415.d6b7f730-0ubuntu1) mantic; urgency=medium

  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    bobcat.
  * New upstream snapshot for OpenStack Bobcat.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 14 Jun 2023 15:08:59 -0400
